
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Belajar Vue js</title>
</head>
<body>

    <div id="app">

        <h1>{{message}}</h1>
        <p>{{text}}</p>
        <h1 v-html="span"  ></h1>
        <p>{{`total:${total*5}`}}</p>
        <p>{{ok?"Yes":"False"}}</p>
        <p>{{ message.split("").reverse().join("")}}</p>

        <br>
        <br>

        <button onclick="app.increment()">counter</button>
        <p>button ini dikelik sebanyak {{counter}}</p>
        <h3>Nama Lengkap: {{fullName}}</h3>

        <h4 v-once>{{kataTetap}}</h4>

        <!-- <p v-show="displayMessage">{{lastName}}</p> -->

        <p v-if="displayMessage">{{lastName}}</p>
        <p v-else>bukan Hamzan</p>

        <p v-if="nilai==='A'">Sangat Bagus Sekali</p>
        <p v-else-if="nilai==='B'">Bagus</p>
        <p v-else-if="nilai==='c'">Cukup</p>
        <p v-else>jelek</p>

        <button v-on:click="angka+=1">Tambah</button>
        <p>{{angka}}</p>

        <img v-bind:src="imgSrc" alt="logo" width="400px" height="400px" >





    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js">
    

    </script>

    <script>
            var app= new Vue({
            el:'#app',
            data:{
                message:"Hello Mas abdul",
                text:"sy sedang belajar vue js",
                span:"<span style='color:red'>hello</span>",
                total:200,
                ok:true,
                counter:0,
                firstName:"Abdul",
                lastName:"Hamzan",
                kataTetap:'constanta',
                displayMessage:false,
                nilai:'A',
                angka:2,
                imgSrc:'logo-vuejs.jpg'

            },

         
            methods:{
                increment(){
                    this.counter+=1;
                }

            },
            computed: {
                fullName:function(){
                    return this.firstName+" "+this.lastName
                }
                
            },
            
        })

        setTimeout(()=>{
            app.imgSrc="Sandika.jpg"

        },5000)
    </script>
    
</body>
</html>